<?php


return [
    'igshop2_main' => [
        'extensionName' => 'Igshop2',
        'position' => ['after' => 'file'],
        'access' => 'user',
        'icon' => 'EXT:igshop2/Resources/Public/Icons/module-shop.svg',
        'labels' => 'LLL:EXT:igshop2/Resources/Private/Language/locallangNavShop.xlf',
    ],
    'igshop2_products' => [
        'parent' => 'igshop2_main',
        'extensionName' => 'Igshop2',
        'position' => ['top'],
        'access' => 'user',
        'icon' => 'EXT:igshop2/Resources/Public/Icons/module-shop-products.svg',
        'labels' => 'LLL:EXT:igshop2/Resources/Private/Language/locallangNavProduct.xlf',
        'path' => '/igshop2/products',
        'navigationComponent' => '@internetgalerie/igshop2/category-tree/category-tree-element',
        'controllerActions' => [
            \InternetGalerie\Igshop2\Controller\BackendProductController::class => ['index', 'sortProductsInCategory'],
            \InternetGalerie\Igshop2\Controller\BackendCategoryController::class => ['index'],
        ]
    ],
    'igshop2_categories' => [
        'parent' => 'igshop2_main',
        'extensionName' => 'Igshop2',
        'position' => ['top'],
        'access' => 'user',
        'icon' => 'EXT:igshop2/Resources/Public/Icons/module-shop-categories.svg',
        'labels' => 'LLL:EXT:igshop2/Resources/Private/Language/locallangNavCategory.xlf',
        'path' => '/igshop2/categories',
        'navigationComponent' => '@internetgalerie/igshop2/category-tree/category-tree-element',
        'controllerActions' => [
            \InternetGalerie\Igshop2\Controller\BackendCategoryController::class => ['index'],
            \InternetGalerie\Igshop2\Controller\BackendProductController::class => ['index', 'sortProductsInCategory'],
        ]
    ],
];